// File: gsGame.hpp
// Author: Bob Rubbens - Knights of the Compiler
// Creation date: 2014-11-07
// Contact: http://plusminos.nl - @broervanlisa - gmail (bobrubbens)

#ifndef GSGAME_HPP
#define GSGAME_HPP

// Public
#include <SDL2/SDL.h>
#include <memory>
#include <vector>

// Private
#include "nnb/states/SimpleGameState.hpp"
#include "game/Player.hpp"
#include "game/Target.hpp"
#include "game/Seed.hpp"
#include "game/Mutant.hpp"
#include "nnb/graphics/Text.hpp"

class gsGame : public nnb::SimpleGameState<gsGame> {
public:
	gsGame();
	~gsGame();
	void event(SDL_Event& e);
	void logic(float delta);
	void render() const;

	void spawnTarget();

	static constexpr auto id = "game";

private:
	Uint32 stateStart = 0;

	int mx = 0, my = 0;

	Player player;
	std::vector<Target> targets;
	std::vector<Seed> seeds;
	std::vector<Mutant> mutants;

	nnb::Text scoreText;
	int score = 0; 
	nnb::TextureContainer scorePicture;

	int spawnMutantAt = 10;
	bool followWho = false;

} ;

#endif
