// Author: Bob Rubbens - Knights of the Compiler
// Creation date: 2014-11-07
// Contact: http://plusminos.nl - @broervanlisa - gmail (bobrubbens)

#ifndef GSMAINMENU_HPP
#define GSMAINMENU_HPP

// Public
#include <SDL2/SDL.h>
#include <string>
#include <vector>

// Private
#include "nnb/states/SimpleGameState.hpp"
#include "game/Player.hpp"
#include "nnb/graphics/Text.hpp"

class gsGameOver : public nnb::SimpleGameState<gsGameOver> {
public:
	gsGameOver();
	~gsGameOver();

	void event(SDL_Event& e);
	void logic(float delta);
	void render() const;

	static constexpr auto id = "gameover";

private:
	nnb::Text gameOver;
	nnb::Text score;
	nnb::Text yourName;
	nnb::Text tryAgain;
	nnb::Text highscores;
	nnb::Text menu;

	Player player;
	int	target = -1;
	int changeStart;

	std::string total;
	nnb::Text inputBox;

} ;

#endif
