// Author: Bob Rubbens - Knights of the Compiler
// Creation date: 2014-11-07
// Contact: http://plusminos.nl - @broervanlisa - gmail (bobrubbens)

#ifndef GSMAINMENU_HPP
#define GSMAINMENU_HPP

// Public
#include <SDL2/SDL.h>
#include <string>
#include <vector>

// Private
#include "nnb/states/SimpleGameState.hpp"
#include "nnb/utils/FloatRect.hpp"
#include "nnb/resources/TextureManager.hpp"
#include "nnb/resources/FontManager.hpp"

class gsHighscores : public nnb::SimpleGameState<gsHighscores> {
public:
	gsHighscores();
	~gsHighscores();

	void event(SDL_Event& e);
	void logic(float delta);
	void render() const;

	static constexpr auto id = "highscores";

private:
	nnb::Text title;
	int stateStart = 0;

	std::vector<std::tuple<nnb::Text, nnb::Text>> table;
} ;

#endif
