// Author: Bob Rubbens - Knights of the Compiler
// Creation date: 2014-11-07
// Contact: http://plusminos.nl - @broervanlisa - gmail (bobrubbens)

// Public
#include <cmath>
#include <iostream>
#include <SDL2/SDL.h>
#include <string>
#include <vector>

// Private
#include "gamestates/gsTutorial.hpp"
#include "main/global.hpp"
#include "nnb/log/log.hpp"
#include "nnb/utils/constants.hpp"
#include "nnb/utils/SDL_Helpers.hpp"

gsTutorial::gsTutorial() {
	title = g_fm->getText("04b03.ttf", 50);
	title.setText("Tutorial");
	title.setColor(gb_4);
	title.setHAlign(nnb::HAlign::CENTER);
	title.setPosition(SCR_W / 2, 100);
}

gsTutorial::~gsTutorial() {
}

void gsTutorial::event(SDL_Event& e) {
	switch (e.type) {
		case SDL_QUIT:
			g_gm->exit();
			NNB_LOG << "Exit was requested";
			break;
		case SDL_MOUSEBUTTONUP:
			NNB_LOG << "Mouse button was pressed at (" << e.button.x << "; " << e.button.y << ")";
			break;
		case SDL_KEYDOWN:
			if (e.key.keysym.sym == SDLK_ESCAPE) {
				g_gm->setState("main");
			}			
		default:
			break;
	}

}

void gsTutorial::logic(float delta) {
	// No logic here
}

void gsTutorial::render() const {
	SDL_SetRenderDrawColor(g_renderer, gb_1.r, gb_1.g, gb_1.b, 255);
	SDL_RenderClear(g_renderer);

	title.render();

	SDL_RenderPresent(g_renderer);
}
